<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>Serialized Form</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="serialized-form-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#serialized-form">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<ul class="block-list">
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.BookingListServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/BookingListServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.BookingListServlet</a></h3>
<div class="type-signature">class BookingListServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>bookingService</h5>
<pre><a href="org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a> bookingService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.BookingServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/BookingServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.BookingServlet</a></h3>
<div class="type-signature">class BookingServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>bookingService</h5>
<pre><a href="org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a> bookingService</pre>
</li>
<li class="block-list">
<h5>roomService</h5>
<pre><a href="org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a> roomService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.BookRoomGuestServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/BookRoomGuestServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.BookRoomGuestServlet</a></h3>
<div class="type-signature">class BookRoomGuestServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>bookingService</h5>
<pre><a href="org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a> bookingService</pre>
</li>
<li class="block-list">
<h5>roomClassService</h5>
<pre><a href="org/vtokarev/service/RoomClassService.html" title="class in org.vtokarev.service">RoomClassService</a> roomClassService</pre>
</li>
<li class="block-list">
<h5>roomService</h5>
<pre><a href="org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a> roomService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.BookRoomManagerServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/BookRoomManagerServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.BookRoomManagerServlet</a></h3>
<div class="type-signature">class BookRoomManagerServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>bookingService</h5>
<pre><a href="org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a> bookingService</pre>
</li>
<li class="block-list">
<h5>roomRequestService</h5>
<pre><a href="org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a> roomRequestService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.CreateRequestServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/CreateRequestServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.CreateRequestServlet</a></h3>
<div class="type-signature">class CreateRequestServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>roomClassService</h5>
<pre><a href="org/vtokarev/service/RoomClassService.html" title="class in org.vtokarev.service">RoomClassService</a> roomClassService</pre>
</li>
<li class="block-list">
<h5>roomRequestService</h5>
<pre><a href="org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a> roomRequestService</pre>
</li>
<li class="block-list">
<h5>roomService</h5>
<pre><a href="org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a> roomService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.HomeServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/HomeServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.HomeServlet</a></h3>
<div class="type-signature">class HomeServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.ImageListServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/ImageListServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.ImageListServlet</a></h3>
<div class="type-signature">class ImageListServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>roomService</h5>
<pre><a href="org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a> roomService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.LoginServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/LoginServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.LoginServlet</a></h3>
<div class="type-signature">class LoginServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>userService</h5>
<pre><a href="org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a> userService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.LogoutServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/LogoutServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.LogoutServlet</a></h3>
<div class="type-signature">class LogoutServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.ModifyRoomServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/ModifyRoomServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.ModifyRoomServlet</a></h3>
<div class="type-signature">class ModifyRoomServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>roomClassService</h5>
<pre><a href="org/vtokarev/service/RoomClassService.html" title="class in org.vtokarev.service">RoomClassService</a> roomClassService</pre>
</li>
<li class="block-list">
<h5>roomService</h5>
<pre><a href="org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a> roomService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.ModifyUserServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/ModifyUserServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.ModifyUserServlet</a></h3>
<div class="type-signature">class ModifyUserServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>userService</h5>
<pre><a href="org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a> userService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.ProceedBookingServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/ProceedBookingServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.ProceedBookingServlet</a></h3>
<div class="type-signature">class ProceedBookingServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>bookingService</h5>
<pre><a href="org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a> bookingService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.ProceedRequestServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/ProceedRequestServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.ProceedRequestServlet</a></h3>
<div class="type-signature">class ProceedRequestServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>recordsPerPage</h5>
<pre>int recordsPerPage</pre>
</li>
<li class="block-list">
<h5>roomRequestService</h5>
<pre><a href="org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a> roomRequestService</pre>
</li>
<li class="block-list">
<h5>roomService</h5>
<pre><a href="org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a> roomService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.RequestListServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/RequestListServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.RequestListServlet</a></h3>
<div class="type-signature">class RequestListServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>roomRequestService</h5>
<pre><a href="org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a> roomRequestService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.RoomListServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/RoomListServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.RoomListServlet</a></h3>
<div class="type-signature">class RoomListServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>roomService</h5>
<pre><a href="org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a> roomService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.SearchRoomServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/SearchRoomServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.SearchRoomServlet</a></h3>
<div class="type-signature">class SearchRoomServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>recordsPerPage</h5>
<pre>int recordsPerPage</pre>
</li>
<li class="block-list">
<h5>roomClassService</h5>
<pre><a href="org/vtokarev/service/RoomClassService.html" title="class in org.vtokarev.service">RoomClassService</a> roomClassService</pre>
</li>
<li class="block-list">
<h5>roomService</h5>
<pre><a href="org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a> roomService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.UploadImageServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/UploadImageServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.UploadImageServlet</a></h3>
<div class="type-signature">class UploadImageServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.controller.UserListServlet">
<h3>Class&nbsp;<a href="org/vtokarev/controller/UserListServlet.html" title="class in org.vtokarev.controller">org.vtokarev.controller.UserListServlet</a></h3>
<div class="type-signature">class UserListServlet extends javax.servlet.http.HttpServlet implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>userService</h5>
<pre><a href="org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a> userService</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="org/vtokarev/domain/package-summary.html">org.vtokarev.domain</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="org.vtokarev.domain.Booking">
<h3>Class&nbsp;<a href="org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">org.vtokarev.domain.Booking</a></h3>
<div class="type-signature">class Booking extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>checkin</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a> checkin</pre>
</li>
<li class="block-list">
<h5>checkout</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a> checkout</pre>
</li>
<li class="block-list">
<h5>id</h5>
<pre>long id</pre>
</li>
<li class="block-list">
<h5>price</h5>
<pre>double price</pre>
</li>
<li class="block-list">
<h5>roomId</h5>
<pre>long roomId</pre>
</li>
<li class="block-list">
<h5>status</h5>
<pre><a href="org/vtokarev/domain/BookingStatus.html" title="enum class in org.vtokarev.domain">BookingStatus</a> status</pre>
</li>
<li class="block-list">
<h5>statusChanged</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/Instant.html" title="class or interface in java.time" class="external-link">Instant</a> statusChanged</pre>
</li>
<li class="block-list">
<h5>userId</h5>
<pre>long userId</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.domain.Room">
<h3>Class&nbsp;<a href="org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">org.vtokarev.domain.Room</a></h3>
<div class="type-signature">class Room extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>available</h5>
<pre>boolean available</pre>
</li>
<li class="block-list">
<h5>capacity</h5>
<pre>int capacity</pre>
</li>
<li class="block-list">
<h5>description</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> description</pre>
</li>
<li class="block-list">
<h5>id</h5>
<pre>long id</pre>
</li>
<li class="block-list">
<h5>name</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> name</pre>
</li>
<li class="block-list">
<h5>number</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> number</pre>
</li>
<li class="block-list">
<h5>price</h5>
<pre>double price</pre>
</li>
<li class="block-list">
<h5>roomClassId</h5>
<pre>long roomClassId</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.domain.RoomClass">
<h3>Class&nbsp;<a href="org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain">org.vtokarev.domain.RoomClass</a></h3>
<div class="type-signature">class RoomClass extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>id</h5>
<pre>long id</pre>
</li>
<li class="block-list">
<h5>name</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> name</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.domain.RoomRequest">
<h3>Class&nbsp;<a href="org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">org.vtokarev.domain.RoomRequest</a></h3>
<div class="type-signature">class RoomRequest extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>bookingId</h5>
<pre>long bookingId</pre>
</li>
<li class="block-list">
<h5>checkin</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a> checkin</pre>
</li>
<li class="block-list">
<h5>checkout</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a> checkout</pre>
</li>
<li class="block-list">
<h5>guestNotes</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> guestNotes</pre>
</li>
<li class="block-list">
<h5>id</h5>
<pre>long id</pre>
</li>
<li class="block-list">
<h5>managerNotes</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> managerNotes</pre>
</li>
<li class="block-list">
<h5>personsNumber</h5>
<pre>int personsNumber</pre>
</li>
<li class="block-list">
<h5>regDate</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/Instant.html" title="class or interface in java.time" class="external-link">Instant</a> regDate</pre>
</li>
<li class="block-list">
<h5>roomClassId</h5>
<pre>long roomClassId</pre>
</li>
<li class="block-list">
<h5>status</h5>
<pre><a href="org/vtokarev/domain/RoomRequestStatus.html" title="enum class in org.vtokarev.domain">RoomRequestStatus</a> status</pre>
</li>
<li class="block-list">
<h5>userId</h5>
<pre>long userId</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="org.vtokarev.domain.User">
<h3>Class&nbsp;<a href="org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">org.vtokarev.domain.User</a></h3>
<div class="type-signature">class User extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>email</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> email</pre>
</li>
<li class="block-list">
<h5>firstName</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> firstName</pre>
</li>
<li class="block-list">
<h5>id</h5>
<pre>long id</pre>
</li>
<li class="block-list">
<h5>lastName</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> lastName</pre>
</li>
<li class="block-list">
<h5>password</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a> password</pre>
</li>
<li class="block-list">
<h5>regDate</h5>
<pre><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/Instant.html" title="class or interface in java.time" class="external-link">Instant</a> regDate</pre>
</li>
<li class="block-list">
<h5>userRole</h5>
<pre><a href="org/vtokarev/domain/UserRole.html" title="enum class in org.vtokarev.domain">UserRole</a> userRole</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</main>
</div>
</div>
</body>
</html>
